[SCM] eclipse - Powerful IDE written in java - Debian package. branch, master, updated. 64a72af62e6106c0418bda94f5bf6bb3296b472b
Benjamin Drung
bdrung-guest at alioth.debian.org
Wed Feb 24 15:31:12 UTC 2010
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "eclipse - Powerful IDE written in java - Debian package.".
The branch, master has been updated
via 64a72af62e6106c0418bda94f5bf6bb3296b472b (commit)
from 4b56c9a10faa8eecf80dd70f2b838e579efead90 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit 64a72af62e6106c0418bda94f5bf6bb3296b472b
Author: Benjamin Drung <bdrung at ubuntu.com>
Date: Wed Feb 24 16:28:16 2010 +0100
Add create-source-tarballs script.
-----------------------------------------------------------------------
Summary of changes:
debian/extra/create-source-tarballs | 15 +++++++++++++++
1 files changed, 15 insertions(+), 0 deletions(-)
diff --git a/debian/extra/create-source-tarballs b/debian/extra/create-source-tarballs
new file mode 100755
index 0000000..0ec652e
--- /dev/null
+++ b/debian/extra/create-source-tarballs
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+
+git co master
+VERSION=$(dpkg-parsechangelog | egrep '^Version:' | cut -f 2 -d ' ' | sed 's/-[^-]*$//')
+
+git co upstream
+
+if test ! -f ../eclipse_${VERSION}.orig.tar.gz; then
+ tar -c * --exclude-vcs --exclude=eclipse --transform="s@^@eclipse-build/@" | gzip -cn9 > ../eclipse_${VERSION}.orig.tar.gz
+fi
+
+if test ! -f ../eclipse_${VERSION}.orig-eclipse.tar.bz2; then
+ tar -ca -f ../eclipse_${VERSION}.orig-eclipse.tar.bz2 eclipse --transform="s/^eclipse/eclipse-${VERSION}/"
+fi
hooks/post-receive
--
eclipse - Powerful IDE written in java - Debian package.
More information about the pkg-java-commits
mailing list